com.informix.asf

## Class CSMspwd

- java.lang.Object
- - com.informix.asf.CSMspwd

    public class CSMspwd
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CSMspwd()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createContext(java.lang.String username, java.lang.String password, IfxDataInputStream asfIfxIs, IfxDataOutputStream asfIfxOs)`
`java.lang.String` `getClientLocale()` Return the class variable ClientLocale.
`static void` `printBytes(java.lang.String header, byte[] bytes)`
`void` `processInMessage(byte[] messageArray, byte[] decyptedDataArray)`
`void` `processOutMessage(byte[] dataArray, byte[] encryptedDataArray)`
`void` `sendEncryptPassword(java.lang.String password, IfxDataOutputStream asfIfxOs)`
`void` `setClientLocale(java.lang.String loc)` Set the class variable ClientLocale.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CSMspwd

    public CSMspwd()
            throws java.security.NoSuchAlgorithmException,
                   java.security.InvalidAlgorithmParameterException,
                   java.security.InvalidKeyException,
                   javax.crypto.NoSuchPaddingException

Throws:
  `java.security.NoSuchAlgorithmException`
  `java.security.InvalidAlgorithmParameterException`
  `java.security.InvalidKeyException`
  `javax.crypto.NoSuchPaddingException`

### Method Detail

#### createContext

    public void createContext(java.lang.String username,
                              java.lang.String password,
                              IfxDataInputStream asfIfxIs,
                              IfxDataOutputStream asfIfxOs)
                       throws java.io.IOException,
                              IfxASFException

Throws:
  `java.io.IOException`
  `IfxASFException`

#### printBytes

    public static void printBytes(java.lang.String header,
                                  byte[] bytes)

#### sendEncryptPassword

    public void sendEncryptPassword(java.lang.String password,
                                    IfxDataOutputStream asfIfxOs)
                             throws java.io.IOException,
                                    IfxASFException

Throws:
  `java.io.IOException`
  `IfxASFException`

#### processInMessage

    public void processInMessage(byte[] messageArray,
                                 byte[] decyptedDataArray)
                          throws IfxASFException

Throws:
  `IfxASFException`

#### processOutMessage

    public void processOutMessage(byte[] dataArray,
                                  byte[] encryptedDataArray)
                           throws IfxASFException

Throws:
  `IfxASFException`

#### setClientLocale

    public void setClientLocale(java.lang.String loc)

Set the class variable ClientLocale. ClientLocale is the locale of any exception/error output. null defaults to the default (English).

Parameters:
  `loc` -

#### getClientLocale

    public java.lang.String getClientLocale()

Return the class variable ClientLocale. ClientLocale is the locale of any exception/error output.

Parameters:
  `loc` -